FLICONV-API FLAM Character Conversion Interface

Macros | Typedefs | Functions
FLCICV.h File Reference

Specification for the FLUC iconv interface. More...

Go to the source code of this file.

## Macros
#define | FLICONV_EINVAL 1
#define | FLICONV_ENOMEM 2
#define | FLICONV_EILSEQ 3
#define | FLICONV_ENOMSG 4
#define | FLICONV_E2BIG 5
#define | FLICONV_REOPEN 6
#define | FLICONV_BOMCHG 7
#define | FLICONV_UTFAIL 8
#define | FLICONV_MAXEXP 9
#define | FLICONV_LICVIL 10
#define | FLICONV_WITSPC 11
#define | FLICONV_IBMUCS 12
#define | FLICONV_REREST 13
#define | FLICONV_LISTBYTES 8192
| Internal buffer sizes for listings. More...

## Typedefs
typedef int() | TfDoOneList(unsigned int namescount, const char *const *names, void *data)
| Typedef of function pointer for do_one call back function. More...

## Functions
const char * | fliconv_version (void)
| Retrieves version information. More...
const char * | fliconv_about (void)
| Retrieves about information. More...
const char * | fliconv_license (void)
| Retrieves the license text. More...
const char * | fliconv_zusmode (void *pvHdl)
| Returns string describing use of IBM Unicode Services. More...
void | fliconv_list (TfDoOneList *do_one, void *data)
void * | fliconv_open (const char *pcTo_Code, const char *pcFrmCode)
| Open character conversion module. More...
int | fliconv_close (void *hdl)
| Close character conversion module. More...
size_t | fliconv (void *cd, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)
| Convert a data block. More...
void | fliconv_seterrno (const int err)
| Set error number. More...
int | fliconv_geterrno (void)
| Get error number. More...
int | fliconv_chkerrno (const int err, const int val)
| Check error number. More...
const char * | fliconv_strerror (int err)
| Get error message. More...
const char * | fliconv_error_trace (void)
| Get error trace. More...
const char * | fliconv_error_msg (void *cd)
| Get error message. More...
int | fliconv_expansion (void *cd)
| Get expansion factor. More...
int64_t | fliconv_position (void *cd)
| Get position. More...

## Detailed Description

Specification for the FLUC iconv interface.

Author
  limes datentechnik gmbh

Date
  21.11.2014

Copyright
  (c) 2014 limes datentechnik gmbh